org.firebirdsql.gds.ng.wire.crypt

## Class EncryptionInitInfo

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.EncryptionInitInfo

    public final class EncryptionInitInfo
    extends java.lang.Object

The initial initialization information of an encryption plugin.

Communicates success or failure, and contains the ciphers for encryption and decryption.

Since:
  4.0
Author:
  Mark Rotteveel

### Nested Class Summary

Nested Classes
`static class` `EncryptionInitInfo.InitResult`

### Method Summary

Methods
`static EncryptionInitInfo` `failure(EncryptionIdentifier encryptionIdentifier, java.sql.SQLException exception)`
`javax.crypto.Cipher` `getDecryptionCipher()`
`javax.crypto.Cipher` `getEncryptionCipher()`
`EncryptionIdentifier` `getEncryptionIdentifier()`
`java.sql.SQLException` `getException()`
`EncryptionInitInfo.InitResult` `getInitResult()`
`boolean` `isSuccess()`
`static EncryptionInitInfo` `success(EncryptionIdentifier encryptionIdentifier, javax.crypto.Cipher encryptionCipher, javax.crypto.Cipher decryptionCipher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### success

    public static EncryptionInitInfo success(EncryptionIdentifier encryptionIdentifier,
                             javax.crypto.Cipher encryptionCipher,
                             javax.crypto.Cipher decryptionCipher)

#### failure

    public static EncryptionInitInfo failure(EncryptionIdentifier encryptionIdentifier,
                             java.sql.SQLException exception)

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

#### getInitResult

    public EncryptionInitInfo.InitResult getInitResult()

#### isSuccess

    public boolean isSuccess()

#### getEncryptionCipher

    public javax.crypto.Cipher getEncryptionCipher()

#### getDecryptionCipher

    public javax.crypto.Cipher getDecryptionCipher()

#### getException

    public java.sql.SQLException getException()

Returns:
  `null` on SUCCESS, otherwise exception with the cause of failure (multiple exceptions may be chained!)